Subject: bug#5985: 23.1.96; Mac OS X: Frames in other spaces erroneously thought visible

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 15:32:55 +0200

Alan Third <[email-masked]> writes:

> And I'm inclined to agree. However, if someone with access to an X
> system with virtual desktops (or similar) could test how it behaves,
> that would be helpful in determining exactly what the correct behaviour
> should be.

I tried this now (on Debian/bullseye + Gnome Shell), and
`frame-visible-p' behaves as on Macos -- even if the frame in question
is on another virtual desktop, it returns t.

So this seems to behave consistently across systems, and I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no